const express = require('express');
const cors = require('cors');
const MongoClient = require('mongodb').MongoClient;
const app = express();

const dbClient = new MongoClient(process.env.DB_ACCESS, { useUnifiedTopology: true });

app.use(cors());
app.use(express.json());
app.disable('x-powered-by');

dbClient.connect().then(client => {
    dbCollection = client.db(process.env.DB_NAME).collection(process.env.DB_COLLECTION)
})

app.post('/analytics', async (req, res) => {
    const data = {
        body: req.body,
        headers: req.headers,
        created: Date.now(),
    }

    try {
        await dbCollection.insertOne(data);
    } catch {
        return res.status(500).send();
    }

    return res.status(201).send(JSON.stringify({ success: true }));
});

app.listen(process.env.PORT || 80);